Bug 176552 - yum truncates and mangles package names
yum truncates and mangles package names
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-25 16:19 EST by David A. De Graaf
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yum truncates and mangles package names (2.08 KB, text/plain)
2005-12-25 16:21 EST, David A. De Graaf
no flags Details

  None (edit)
Description David A. De Graaf 2005-12-25 16:19:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The naming conventions used by yum in various contexts are
inconsistent, leading to unnecesary difficulties.  Package names are
truncated, omitting vital information, and the full names are
sometimes written incorrectly.
    (See attached file for full description)

Version-Release number of selected component (if applicable):
yum-2.4.1-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Try to install a package that comes in many varieties and versions.
2.
3.
  

Actual Results:  Failure is described in attached file

Additional info:
Comment 1 David A. De Graaf 2005-12-25 16:21:18 EST
Created attachment 122581 [details]
yum truncates and mangles package names
Comment 2 Jeremy Katz 2006-04-19 16:31:58 EDT
Not truncating makes the output impossible to actually read on a terminal.  You
can get non-truncated output by using non-terminal based frontends or the yum shell.

Note You need to log in before you can comment on or make changes to this bug.